import 'get_chat_response.dart';

class RichObjectStringProcessor {
  static String parseToString(
    String message,
    Map<String, RichObjectString>? data,
  ) {
    if (data == null) return message;

    data.forEach((key, value) {
      message = message.replaceAll(RegExp('{$key}'), value.name);
    });

    return message;
  }
}
